searchData={"items":[{"type":"module","title":"GoogleApi.CloudSupport.V2","doc":"API client metadata for GoogleApi.CloudSupport.V2.","ref":"GoogleApi.CloudSupport.V2.html"},{"type":"function","title":"GoogleApi.CloudSupport.V2.discovery_revision/0","doc":"","ref":"GoogleApi.CloudSupport.V2.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Api.CaseClassifications","doc":"API calls for all endpoints tagged `CaseClassifications`.","ref":"GoogleApi.CloudSupport.V2.Api.CaseClassifications.html"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.CaseClassifications.cloudsupport_case_classifications_search/3","doc":"Retrieve valid classifications to use when creating a support case. Classifications are hierarchical. Each classification is a string containing all levels of the hierarchy separated by `\" > \"`. For example, `\"Technical Issue > Compute > Compute Engine\"`. Classification IDs returned by this endpoint are valid for at least six months. When a classification is deactivated, this endpoint immediately stops returning it. After six months, `case.create` requests using the classification will fail. EXAMPLES: cURL: ```shell curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ 'https://cloudsupport.googleapis.com/v2/caseClassifications:search?query=display_name:\"*Compute%20Engine*\"' ``` Python: ```python import googleapiclient.discovery supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=\"v2\", discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version=v2\", ) request = supportApiService.caseClassifications().search( query='display_name:\"*Compute Engine*\"' ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.CaseClassifications.html#cloudsupport_case_classifications_search/3"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.CaseClassifications.cloudsupport_case_classifications_search/3","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of classifications fetched with each request.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying the page of results to return. If unspecified, the first page is retrieved.\n    *   `:query` (*type:* `String.t`) - An expression used to filter case classifications. If it's an empty string, then no filtering happens. Otherwise, case classifications will be returned that match the filter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.CaseClassifications.html#cloudsupport_case_classifications_search/3-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.CaseClassifications.cloudsupport_case_classifications_search/3","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.SearchCaseClassificationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.CaseClassifications.html#cloudsupport_case_classifications_search/3-returns"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Api.Cases","doc":"API calls for all endpoints tagged `Cases`.","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_attachments_list/6","doc":"List all the attachments associated with a support case. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/23598314\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$case/attachments\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = ( supportApiService.cases() .attachments() .list(parent=\"projects/some-project/cases/43595344\") ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_attachments_list/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_attachments_list/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the case for which attachments should be listed.\n*   `v2_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `cases_id` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of attachments fetched with each request. If not provided, the default is 10. The maximum page size that will be returned is 100.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying the page of results to return. If unspecified, the first page is retrieved.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_attachments_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_attachments_list/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.ListAttachmentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_attachments_list/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_close/6","doc":"Close a case. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/43595344\" curl \\ --request POST \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$case:close\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().close( name=\"projects/some-project/cases/43595344\" ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_close/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_close/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `name`. Required. The name of the case to close.\n*   `v2_id1` (*type:* `String.t`) - Part of `name`. See documentation of `v2Id`.\n*   `cases_id` (*type:* `String.t`) - Part of `name`. See documentation of `v2Id`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudSupport.V2.Model.CloseCaseRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_close/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_close/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.Case{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_close/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_comments_create/6","doc":"Add a new comment to a case. The comment must have the following fields set: `body`. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/43591344\" curl \\ --request POST \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --header 'Content-Type: application/json' \\ --data '{ \"body\": \"This is a test comment.\" }' \\ \"https://cloudsupport.googleapis.com/v2/$case/comments\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = ( supportApiService.cases() .comments() .create( parent=\"projects/some-project/cases/43595344\", body={\"body\": \"This is a test comment.\"}, ) ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_comments_create/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_comments_create/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the case to which the comment should be added.\n*   `v2_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `cases_id` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudSupport.V2.Model.Comment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_comments_create/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_comments_create/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.Comment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_comments_create/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_comments_list/6","doc":"List all the comments associated with a case. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/43595344\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$case/comments\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = ( supportApiService.cases() .comments() .list(parent=\"projects/some-project/cases/43595344\") ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_comments_list/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_comments_list/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the case for which to list comments.\n*   `v2_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `cases_id` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of comments to fetch. Defaults to 10.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying the page of results to return. If unspecified, the first page is returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_comments_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_comments_list/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.ListCommentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_comments_list/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_create/5","doc":"Create a new case and associate it with a parent. It must have the following fields set: `display_name`, `description`, `classification`, and `priority`. If you're just testing the API and don't want to route your case to an agent, set `testCase=true`. EXAMPLES: cURL: ```shell parent=\"projects/some-project\" curl \\ --request POST \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --header 'Content-Type: application/json' \\ --data '{ \"display_name\": \"Test case created by me.\", \"description\": \"a random test case, feel free to close\", \"classification\": { \"id\": \"100IK2AKCLHMGRJ9CDGMOCGP8DM6UTB4BT262T31BT1M2T31DHNMENPO6KS36CPJ786L2TBFEHGN6NPI64R3CDHN8880G08I1H3MURR7DHII0GRCDTQM8\" }, \"time_zone\": \"-07:00\", \"subscriber_email_addresses\": [ \"foo@domain.com\", \"bar@domain.com\" ], \"testCase\": true, \"priority\": \"P3\" }' \\ \"https://cloudsupport.googleapis.com/v2/$parent/cases\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().create( parent=\"projects/some-project\", body={ \"displayName\": \"A Test Case\", \"description\": \"This is a test case.\", \"testCase\": True, \"priority\": \"P2\", \"classification\": { \"id\": \"100IK2AKCLHMGRJ9CDGMOCGP8DM6UTB4BT262T31BT1M2T31DHNMENPO6KS36CPJ786L2TBFEHGN6NPI64R3CDHN8880G08I1H3MURR7DHII0GRCDTQM8\" }, }, ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_create/5"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_create/5","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the parent under which the case should be created.\n*   `v2_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudSupport.V2.Model.Case.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_create/5-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_create/5","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.Case{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_create/5-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_escalate/6","doc":"Escalate a case, starting the Google Cloud Support escalation management process. This operation is only available for some support services. Go to https://cloud.google.com/support and look for 'Technical support escalations' in the feature list to find out which ones let you do that. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/43595344\" curl \\ --request POST \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --header \"Content-Type: application/json\" \\ --data '{ \"escalation\": { \"reason\": \"BUSINESS_IMPACT\", \"justification\": \"This is a test escalation.\" } }' \\ \"https://cloudsupport.googleapis.com/v2/$case:escalate\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().escalate( name=\"projects/some-project/cases/43595344\", body={ \"escalation\": { \"reason\": \"BUSINESS_IMPACT\", \"justification\": \"This is a test escalation.\", }, }, ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_escalate/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_escalate/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `name`. Required. The name of the case to be escalated.\n*   `v2_id1` (*type:* `String.t`) - Part of `name`. See documentation of `v2Id`.\n*   `cases_id` (*type:* `String.t`) - Part of `name`. See documentation of `v2Id`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudSupport.V2.Model.EscalateCaseRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_escalate/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_escalate/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.Case{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_escalate/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_get/6","doc":"Retrieve a case. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/16033687\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$case\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().get( name=\"projects/some-project/cases/43595344\", ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_get/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_get/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `name`. Required. The full name of a case to be retrieved.\n*   `v2_id1` (*type:* `String.t`) - Part of `name`. See documentation of `v2Id`.\n*   `cases_id` (*type:* `String.t`) - Part of `name`. See documentation of `v2Id`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_get/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.Case{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_get/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_list/5","doc":"Retrieve all cases under a parent, but not its children. For example, listing cases under an organization only returns the cases that are directly parented by that organization. To retrieve cases under an organization and its projects, use `cases.search`. EXAMPLES: cURL: ```shell parent=\"projects/some-project\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$parent/cases\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().list(parent=\"projects/some-project\") print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_list/5"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_list/5","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `parent`. Required. The name of a parent to list cases under.\n*   `v2_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - An expression used to filter cases. If it's an empty string, then no filtering happens. Otherwise, the endpoint returns the cases that match the filter. Expressions use the following fields separated by `AND` and specified with `=`: - `state`: Can be `OPEN` or `CLOSED`. - `priority`: Can be `P0`, `P1`, `P2`, `P3`, or `P4`. You can specify multiple values for priority using the `OR` operator. For example, `priority=P1 OR priority=P2`. - `creator.email`: The email address of the case creator. EXAMPLES: - `state=CLOSED` - `state=OPEN AND creator.email=\"tester@example.com\"` - `state=OPEN AND (priority=P0 OR priority=P1)`\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of cases fetched with each request. Defaults to 10.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying the page of results to return. If unspecified, the first page is retrieved.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_list/5","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.ListCasesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_list/5-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_patch/6","doc":"Update a case. Only some fields can be updated. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/43595344\" curl \\ --request PATCH \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --header \"Content-Type: application/json\" \\ --data '{ \"priority\": \"P1\" }' \\ \"https://cloudsupport.googleapis.com/v2/$case?updateMask=priority\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().patch( name=\"projects/some-project/cases/43112854\", body={ \"displayName\": \"This is Now a New Title\", \"priority\": \"P2\", }, ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_patch/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_patch/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `case.name`. The resource name for the case.\n*   `v2_id1` (*type:* `String.t`) - Part of `case.name`. See documentation of `v2Id`.\n*   `cases_id` (*type:* `String.t`) - Part of `case.name`. See documentation of `v2Id`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - A list of attributes of the case that should be updated. Supported values are `priority`, `display_name`, and `subscriber_email_addresses`. If no fields are specified, all supported fields are updated. Be careful - if you do not provide a field mask, then you might accidentally clear some fields. For example, if you leave the field mask empty and do not provide a value for `subscriber_email_addresses`, then `subscriber_email_addresses` is updated to empty.\n    *   `:body` (*type:* `GoogleApi.CloudSupport.V2.Model.Case.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_patch/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.Case{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_patch/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_search/5","doc":"Search for cases using a query. EXAMPLES: cURL: ```shell parent=\"projects/some-project\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$parent/cases:search\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().search( parent=\"projects/some-project\", query=\"state=OPEN\" ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_search/5"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_search/5","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `parent`. The name of the parent resource to search for cases under.\n*   `v2_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of cases fetched with each request. The default page size is 10.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying the page of results to return. If unspecified, the first page is retrieved.\n    *   `:query` (*type:* `String.t`) - An expression used to filter cases. Expressions use the following fields separated by `AND` and specified with `=`: - `organization`: An organization name in the form `organizations/`. - `project`: A project name in the form `projects/`. - `state`: Can be `OPEN` or `CLOSED`. - `priority`: Can be `P0`, `P1`, `P2`, `P3`, or `P4`. You can specify multiple values for priority using the `OR` operator. For example, `priority=P1 OR priority=P2`. - `creator.email`: The email address of the case creator. You must specify either `organization` or `project`. To search across `displayName`, `description`, and comments, use a global restriction with no keyword or operator. For example, `\"my search\"`. To search only cases updated after a certain date, use `update_time` restricted with that particular date, time, and timezone in ISO datetime format. For example, `update_time>\"2020-01-01T00:00:00-05:00\"`. `update_time` only supports the greater than operator (`>`). Examples: - `organization=\"organizations/123456789\"` - `project=\"projects/my-project-id\"` - `project=\"projects/123456789\"` - `organization=\"organizations/123456789\" AND state=CLOSED` - `project=\"projects/my-project-id\" AND creator.email=\"tester@example.com\"` - `project=\"projects/my-project-id\" AND (priority=P0 OR priority=P1)`\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_search/5-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Cases.cloudsupport_cases_search/5","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.SearchCasesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Cases.html#cloudsupport_cases_search/5-returns"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Api.Media","doc":"API calls for all endpoints tagged `Media`.","ref":"GoogleApi.CloudSupport.V2.Api.Media.html"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Media.cloudsupport_media_download/7","doc":"Download a file attached to a case. Note: HTTP requests must append \"?alt=media\" to the URL. EXAMPLES: cURL: ```shell name=\"projects/some-project/cases/43594844/attachments/0674M00000WijAnZAJ\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$name:download?alt=media\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.media().download( name=\"projects/some-project/cases/43595344/attachments/0684M00000Pw6pHQAR\" ) request.uri = request.uri.split(\"?\")[0] + \"?alt=media\" print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Media.html#cloudsupport_media_download/7"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Media.cloudsupport_media_download/7","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `name`. The name of the file attachment to download.\n*   `v2_id1` (*type:* `String.t`) - Part of `name`. See documentation of `v2Id`.\n*   `cases_id` (*type:* `String.t`) - Part of `name`. See documentation of `v2Id`.\n*   `attachments_id` (*type:* `String.t`) - Part of `name`. See documentation of `v2Id`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Media.html#cloudsupport_media_download/7-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Media.cloudsupport_media_download/7","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.Media{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Media.html#cloudsupport_media_download/7-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Media.cloudsupport_media_upload/6","doc":"Create a file attachment on a case or Cloud resource. The attachment must have the following fields set: `filename`. EXAMPLES: cURL: ```shell echo \"This text is in a file I'm uploading using CSAPI.\" \\ > \"./example_file.txt\" case=\"projects/some-project/cases/43594844\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --data-binary @\"./example_file.txt\" \\ \"https://cloudsupport.googleapis.com/upload/v2beta/$case/attachments?attachment.filename=uploaded_via_curl.txt\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) file_path = \"./example_file.txt\" with open(file_path, \"w\") as file: file.write( \"This text is inside a file I'm going to upload using the Cloud Support API.\", ) request = supportApiService.media().upload( parent=\"projects/some-project/cases/43595344\", media_body=file_path ) request.uri = request.uri.split(\"?\")[0] + \"?attachment.filename=uploaded_via_python.txt\" print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Media.html#cloudsupport_media_upload/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Media.cloudsupport_media_upload/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the case or Cloud resource to which the attachment should be attached.\n*   `v2_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `cases_id` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudSupport.V2.Model.CreateAttachmentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Media.html#cloudsupport_media_upload/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Media.cloudsupport_media_upload/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.Attachment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Media.html#cloudsupport_media_upload/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Media.cloudsupport_media_upload_iodata/9","doc":"Create a file attachment on a case or Cloud resource. The attachment must have the following fields set: `filename`. EXAMPLES: cURL: ```shell echo \"This text is in a file I'm uploading using CSAPI.\" \\ > \"./example_file.txt\" case=\"projects/some-project/cases/43594844\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --data-binary @\"./example_file.txt\" \\ \"https://cloudsupport.googleapis.com/upload/v2beta/$case/attachments?attachment.filename=uploaded_via_curl.txt\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) file_path = \"./example_file.txt\" with open(file_path, \"w\") as file: file.write( \"This text is inside a file I'm going to upload using the Cloud Support API.\", ) request = supportApiService.media().upload( parent=\"projects/some-project/cases/43595344\", media_body=file_path ) request.uri = request.uri.split(\"?\")[0] + \"?attachment.filename=uploaded_via_python.txt\" print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Media.html#cloudsupport_media_upload_iodata/9"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Media.cloudsupport_media_upload_iodata/9","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the case or Cloud resource to which the attachment should be attached.\n*   `v2_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `cases_id` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `GoogleApi.CloudSupport.V2.Model.CreateAttachmentRequest.t`) - object metadata\n*   `data` (*type:* `iodata`) - Content to upload, as a string or iolist\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Media.html#cloudsupport_media_upload_iodata/9-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Media.cloudsupport_media_upload_iodata/9","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.Attachment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Media.html#cloudsupport_media_upload_iodata/9-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Api.Media.cloudsupport_media_upload_simple/9","doc":"Create a file attachment on a case or Cloud resource. The attachment must have the following fields set: `filename`. EXAMPLES: cURL: ```shell echo \"This text is in a file I'm uploading using CSAPI.\" \\ > \"./example_file.txt\" case=\"projects/some-project/cases/43594844\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --data-binary @\"./example_file.txt\" \\ \"https://cloudsupport.googleapis.com/upload/v2beta/$case/attachments?attachment.filename=uploaded_via_curl.txt\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) file_path = \"./example_file.txt\" with open(file_path, \"w\") as file: file.write( \"This text is inside a file I'm going to upload using the Cloud Support API.\", ) request = supportApiService.media().upload( parent=\"projects/some-project/cases/43595344\", media_body=file_path ) request.uri = request.uri.split(\"?\")[0] + \"?attachment.filename=uploaded_via_python.txt\" print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2.Api.Media.html#cloudsupport_media_upload_simple/9"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Api.Media.cloudsupport_media_upload_simple/9","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2.Connection.t`) - Connection to server\n*   `v2_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the case or Cloud resource to which the attachment should be attached.\n*   `v2_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `cases_id` (*type:* `String.t`) - Part of `parent`. See documentation of `v2Id`.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `GoogleApi.CloudSupport.V2.Model.CreateAttachmentRequest.t`) - object metadata\n*   `data` (*type:* `String.t`) - Path to file containing content to upload\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2.Api.Media.html#cloudsupport_media_upload_simple/9-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Api.Media.cloudsupport_media_upload_simple/9","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2.Model.Attachment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2.Api.Media.html#cloudsupport_media_upload_simple/9-returns"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Connection","doc":"Handle Tesla connections for GoogleApi.CloudSupport.V2.","ref":"GoogleApi.CloudSupport.V2.Connection.html"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.CloudSupport.V2.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.CloudSupport.V2.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2.Connection.html#get/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2.Connection.html#head/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.CloudSupport.V2.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudSupport.V2.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.CloudSupport.V2.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.CloudSupport.V2.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudSupport.V2.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2.Connection.html#options/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudSupport.V2.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudSupport.V2.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudSupport.V2.Connection.html#post/4"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudSupport.V2.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudSupport.V2.Connection.html#put/4"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudSupport.V2.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.CloudSupport.V2.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.CloudSupport.V2.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.CloudSupport.V2.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.CloudSupport.V2.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.CloudSupport.V2.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.CloudSupport.V2.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Connection.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.Actor","doc":"An Actor represents an entity that performed an action. For example, an actor could be a user who posted a comment on a support case, a user who uploaded an attachment, or a service account that created a support case.","ref":"GoogleApi.CloudSupport.V2.Model.Actor.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.Actor","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The name to display for the actor. If not provided, it is inferred from credentials supplied during case creation. When an email is provided, a display name must also be provided. This will be obfuscated if the user is a Google Support agent.\n*   `email` (*type:* `String.t`, *default:* `nil`) - The email address of the actor. If not provided, it is inferred from the credentials supplied during case creation. When a name is provided, an email must also be provided. If the user is a Google Support agent, this is obfuscated. This field is deprecated. Use **username** field instead.\n*   `googleSupport` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the actor is a Google support actor.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Output only. The username of the actor. It may look like an email or other format provided by the identity provider. If not provided, it is inferred from the credentials supplied. When a name is provided, a username must also be provided. If the user is a Google Support agent, this will not be set.","ref":"GoogleApi.CloudSupport.V2.Model.Actor.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.Actor.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.Actor.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.Actor.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.Actor.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.Attachment","doc":"An Attachment contains metadata about a file that was uploaded to a case - it is NOT a file itself. That being said, the name of an Attachment object can be used to download its accompanying file through the `media.download` endpoint. While attachments can be uploaded in the console at the same time as a comment, they're associated on a \"case\" level, not a \"comment\" level.","ref":"GoogleApi.CloudSupport.V2.Model.Attachment.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.Attachment","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the attachment was created.\n*   `creator` (*type:* `GoogleApi.CloudSupport.V2.Model.Actor.t`, *default:* `nil`) - Output only. The user who uploaded the attachment. Note, the name and email will be obfuscated if the attachment was uploaded by Google support.\n*   `filename` (*type:* `String.t`, *default:* `nil`) - The filename of the attachment (e.g. `\"graph.jpg\"`).\n*   `mimeType` (*type:* `String.t`, *default:* `nil`) - Output only. The MIME type of the attachment (e.g. text/plain).\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name of the attachment.\n*   `sizeBytes` (*type:* `String.t`, *default:* `nil`) - Output only. The size of the attachment in bytes.","ref":"GoogleApi.CloudSupport.V2.Model.Attachment.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.Attachment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.Attachment.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.Attachment.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.Attachment.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.Blobstore2Info","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.Blobstore2Info.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.Blobstore2Info","doc":"*   `blobGeneration` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `blobId` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `downloadReadHandle` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `readToken` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `uploadMetadataContainer` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.Blobstore2Info.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.Blobstore2Info.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.Blobstore2Info.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.Blobstore2Info.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.Blobstore2Info.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.Case","doc":"A Case is an object that contains the details of a support case. It contains fields for the time it was created, its priority, its classification, and more. Cases can also have comments and attachments that get added over time. A case is parented by a Google Cloud organization or project. Organizations are identified by a number, so the name of a case parented by an organization would look like this: ``` organizations/123/cases/456 ``` Projects have two unique identifiers, an ID and a number, and they look like this: ``` projects/abc/cases/456 ``` ``` projects/123/cases/456 ``` You can use either of them when calling the API. To learn more about project identifiers, see [AIP-2510](https://google.aip.dev/cloud/2510).","ref":"GoogleApi.CloudSupport.V2.Model.Case.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.Case","doc":"*   `classification` (*type:* `GoogleApi.CloudSupport.V2.Model.CaseClassification.t`, *default:* `nil`) - The issue classification applicable to this case.\n*   `contactEmail` (*type:* `String.t`, *default:* `nil`) - A user-supplied email address to send case update notifications for. This should only be used in BYOID flows, where we cannot infer the user's email address directly from their EUCs.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time this case was created.\n*   `creator` (*type:* `GoogleApi.CloudSupport.V2.Model.Actor.t`, *default:* `nil`) - The user who created the case. Note: The name and email will be obfuscated if the case was created by Google Support.\n*   `description` (*type:* `String.t`, *default:* `nil`) - A broad description of the issue.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The short summary of the issue reported in this case.\n*   `escalated` (*type:* `boolean()`, *default:* `nil`) - Whether the case is currently escalated.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The language the user has requested to receive support in. This should be a BCP 47 language code (e.g., `\"en\"`, `\"zh-CN\"`, `\"zh-TW\"`, `\"ja\"`, `\"ko\"`). If no language or an unsupported language is specified, this field defaults to English (en). Language selection during case creation may affect your available support options. For a list of supported languages and their support working hours, see: https://cloud.google.com/support/docs/language-working-hours\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name for the case.\n*   `priority` (*type:* `String.t`, *default:* `nil`) - The priority of this case.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The current status of the support case.\n*   `subscriberEmailAddresses` (*type:* `list(String.t)`, *default:* `nil`) - The email addresses to receive updates on this case.\n*   `testCase` (*type:* `boolean()`, *default:* `nil`) - Whether this case was created for internal API testing and should not be acted on by the support team.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - The timezone of the user who created the support case. It should be in a format IANA recognizes: https://www.iana.org/time-zones. There is no additional validation done by the API.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time this case was last updated.","ref":"GoogleApi.CloudSupport.V2.Model.Case.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.Case.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.Case.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.Case.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.Case.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.CaseClassification","doc":"A Case Classification represents the topic that a case is about. It's very important to use accurate classifications, because they're used to route your cases to specialists who can help you. A classification always has an ID that is its unique identifier. A valid ID is required when creating a case.","ref":"GoogleApi.CloudSupport.V2.Model.CaseClassification.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.CaseClassification","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - A display name for the classification. The display name is not static and can change. To uniquely and consistently identify classifications, use the `CaseClassification.id` field.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The unique ID for a classification. Must be specified for case creation. To retrieve valid classification IDs for case creation, use `caseClassifications.search`. Classification IDs returned by `caseClassifications.search` are guaranteed to be valid for at least 6 months. If a given classification is deactiveated, it will immediately stop being returned. After 6 months, `case.create` requests using the classification ID will fail.","ref":"GoogleApi.CloudSupport.V2.Model.CaseClassification.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.CaseClassification.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.CaseClassification.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.CaseClassification.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.CaseClassification.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.CloseCaseRequest","doc":"The request message for the CloseCase endpoint.","ref":"GoogleApi.CloudSupport.V2.Model.CloseCaseRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.CloseCaseRequest","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.CloseCaseRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.CloseCaseRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.CloseCaseRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.CloseCaseRequest.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.CloseCaseRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.Comment","doc":"Case comments are the main way Google Support communicates with a user who has opened a case. When a user responds to Google Support, the user's responses also appear as comments.","ref":"GoogleApi.CloudSupport.V2.Model.Comment.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.Comment","doc":"*   `body` (*type:* `String.t`, *default:* `nil`) - The full comment body. Maximum of 12800 characters. This can contain rich text syntax.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when this comment was created.\n*   `creator` (*type:* `GoogleApi.CloudSupport.V2.Model.Actor.t`, *default:* `nil`) - Output only. The user or Google Support agent created this comment.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name for the comment.\n*   `plainTextBody` (*type:* `String.t`, *default:* `nil`) - Output only. DEPRECATED. An automatically generated plain text version of body with all rich text syntax stripped.","ref":"GoogleApi.CloudSupport.V2.Model.Comment.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.Comment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.Comment.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.Comment.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.Comment.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.CompositeMedia","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.CompositeMedia.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.CompositeMedia","doc":"*   `blobRef` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `blobstore2Info` (*type:* `GoogleApi.CloudSupport.V2.Model.Blobstore2Info.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `cosmoBinaryReference` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `crc32cHash` (*type:* `integer()`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `inline` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `length` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `md5Hash` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectId` (*type:* `GoogleApi.CloudSupport.V2.Model.ObjectId.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `path` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `referenceType` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `sha1Hash` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.CompositeMedia.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.CompositeMedia.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.CompositeMedia.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.CompositeMedia.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.CompositeMedia.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.ContentTypeInfo","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.ContentTypeInfo.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.ContentTypeInfo","doc":"*   `bestGuess` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `fromBytes` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `fromFileName` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `fromHeader` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `fromUrlPath` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.ContentTypeInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.ContentTypeInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.ContentTypeInfo.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.ContentTypeInfo.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.ContentTypeInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.CreateAttachmentRequest","doc":"The request message for the CreateAttachment endpoint.","ref":"GoogleApi.CloudSupport.V2.Model.CreateAttachmentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.CreateAttachmentRequest","doc":"*   `attachment` (*type:* `GoogleApi.CloudSupport.V2.Model.Attachment.t`, *default:* `nil`) - Required. The attachment to be created.","ref":"GoogleApi.CloudSupport.V2.Model.CreateAttachmentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.CreateAttachmentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.CreateAttachmentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.CreateAttachmentRequest.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.CreateAttachmentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.DiffChecksumsResponse","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.DiffChecksumsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.DiffChecksumsResponse","doc":"*   `checksumsLocation` (*type:* `GoogleApi.CloudSupport.V2.Model.CompositeMedia.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `chunkSizeBytes` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectLocation` (*type:* `GoogleApi.CloudSupport.V2.Model.CompositeMedia.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectSizeBytes` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectVersion` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.DiffChecksumsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.DiffChecksumsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.DiffChecksumsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.DiffChecksumsResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.DiffChecksumsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.DiffDownloadResponse","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.DiffDownloadResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.DiffDownloadResponse","doc":"*   `objectLocation` (*type:* `GoogleApi.CloudSupport.V2.Model.CompositeMedia.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.DiffDownloadResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.DiffDownloadResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.DiffDownloadResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.DiffDownloadResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.DiffDownloadResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.DiffUploadRequest","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.DiffUploadRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.DiffUploadRequest","doc":"*   `checksumsInfo` (*type:* `GoogleApi.CloudSupport.V2.Model.CompositeMedia.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectInfo` (*type:* `GoogleApi.CloudSupport.V2.Model.CompositeMedia.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectVersion` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.DiffUploadRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.DiffUploadRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.DiffUploadRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.DiffUploadRequest.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.DiffUploadRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.DiffUploadResponse","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.DiffUploadResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.DiffUploadResponse","doc":"*   `objectVersion` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `originalObject` (*type:* `GoogleApi.CloudSupport.V2.Model.CompositeMedia.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.DiffUploadResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.DiffUploadResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.DiffUploadResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.DiffUploadResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.DiffUploadResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.DiffVersionResponse","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.DiffVersionResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.DiffVersionResponse","doc":"*   `objectSizeBytes` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectVersion` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.DiffVersionResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.DiffVersionResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.DiffVersionResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.DiffVersionResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.DiffVersionResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.DownloadParameters","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.DownloadParameters.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.DownloadParameters","doc":"*   `allowGzipCompression` (*type:* `boolean()`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `ignoreRange` (*type:* `boolean()`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.DownloadParameters.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.DownloadParameters.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.DownloadParameters.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.DownloadParameters.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.DownloadParameters.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.EscalateCaseRequest","doc":"The request message for the EscalateCase endpoint.","ref":"GoogleApi.CloudSupport.V2.Model.EscalateCaseRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.EscalateCaseRequest","doc":"*   `escalation` (*type:* `GoogleApi.CloudSupport.V2.Model.Escalation.t`, *default:* `nil`) - The escalation information to be sent with the escalation request.","ref":"GoogleApi.CloudSupport.V2.Model.EscalateCaseRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.EscalateCaseRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.EscalateCaseRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.EscalateCaseRequest.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.EscalateCaseRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.Escalation","doc":"An escalation of a support case.","ref":"GoogleApi.CloudSupport.V2.Model.Escalation.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.Escalation","doc":"*   `justification` (*type:* `String.t`, *default:* `nil`) - Required. A free text description to accompany the `reason` field above. Provides additional context on why the case is being escalated.\n*   `reason` (*type:* `String.t`, *default:* `nil`) - Required. The reason why the Case is being escalated.","ref":"GoogleApi.CloudSupport.V2.Model.Escalation.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.Escalation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.Escalation.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.Escalation.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.Escalation.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.ListAttachmentsResponse","doc":"The response message for the ListAttachments endpoint.","ref":"GoogleApi.CloudSupport.V2.Model.ListAttachmentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.ListAttachmentsResponse","doc":"*   `attachments` (*type:* `list(GoogleApi.CloudSupport.V2.Model.Attachment.t)`, *default:* `nil`) - The list of attachments associated with a case.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Set this in the `page_token` field of subsequent `cases.attachments.list` requests. If unspecified, there are no more results to retrieve.","ref":"GoogleApi.CloudSupport.V2.Model.ListAttachmentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.ListAttachmentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.ListAttachmentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.ListAttachmentsResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.ListAttachmentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.ListCasesResponse","doc":"The response message for the ListCases endpoint.","ref":"GoogleApi.CloudSupport.V2.Model.ListCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.ListCasesResponse","doc":"*   `cases` (*type:* `list(GoogleApi.CloudSupport.V2.Model.Case.t)`, *default:* `nil`) - The list of cases associated with the parent after any filters have been applied.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Set this in the `page_token` field of subsequent `cases.list` requests. If unspecified, there are no more results to retrieve.","ref":"GoogleApi.CloudSupport.V2.Model.ListCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.ListCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.ListCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.ListCasesResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.ListCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.ListCommentsResponse","doc":"The response message for the ListComments endpoint.","ref":"GoogleApi.CloudSupport.V2.Model.ListCommentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.ListCommentsResponse","doc":"*   `comments` (*type:* `list(GoogleApi.CloudSupport.V2.Model.Comment.t)`, *default:* `nil`) - List of the comments associated with the case.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Set this in the `page_token` field of subsequent `cases.comments.list` requests. If unspecified, there are no more results to retrieve.","ref":"GoogleApi.CloudSupport.V2.Model.ListCommentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.ListCommentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.ListCommentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.ListCommentsResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.ListCommentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.Media","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.Media.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.Media","doc":"*   `algorithm` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `bigstoreObjectRef` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `blobRef` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `blobstore2Info` (*type:* `GoogleApi.CloudSupport.V2.Model.Blobstore2Info.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `compositeMedia` (*type:* `list(GoogleApi.CloudSupport.V2.Model.CompositeMedia.t)`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `contentType` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `contentTypeInfo` (*type:* `GoogleApi.CloudSupport.V2.Model.ContentTypeInfo.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `cosmoBinaryReference` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `crc32cHash` (*type:* `integer()`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `diffChecksumsResponse` (*type:* `GoogleApi.CloudSupport.V2.Model.DiffChecksumsResponse.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `diffDownloadResponse` (*type:* `GoogleApi.CloudSupport.V2.Model.DiffDownloadResponse.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `diffUploadRequest` (*type:* `GoogleApi.CloudSupport.V2.Model.DiffUploadRequest.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `diffUploadResponse` (*type:* `GoogleApi.CloudSupport.V2.Model.DiffUploadResponse.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `diffVersionResponse` (*type:* `GoogleApi.CloudSupport.V2.Model.DiffVersionResponse.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `downloadParameters` (*type:* `GoogleApi.CloudSupport.V2.Model.DownloadParameters.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `filename` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `hash` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `hashVerified` (*type:* `boolean()`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `inline` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `isPotentialRetry` (*type:* `boolean()`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `length` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `md5Hash` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `mediaId` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectId` (*type:* `GoogleApi.CloudSupport.V2.Model.ObjectId.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `path` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `referenceType` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `sha1Hash` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `sha256Hash` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `timestamp` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `token` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.Media.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.Media.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.Media.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.Media.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.Media.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.ObjectId","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.ObjectId.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.ObjectId","doc":"*   `bucketName` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `generation` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectName` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2.Model.ObjectId.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.ObjectId.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.ObjectId.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.ObjectId.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.ObjectId.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.SearchCaseClassificationsResponse","doc":"The response message for SearchCaseClassifications endpoint.","ref":"GoogleApi.CloudSupport.V2.Model.SearchCaseClassificationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.SearchCaseClassificationsResponse","doc":"*   `caseClassifications` (*type:* `list(GoogleApi.CloudSupport.V2.Model.CaseClassification.t)`, *default:* `nil`) - The classifications retrieved.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Set this in the `page_token` field of subsequent `caseClassifications.list` requests. If unspecified, there are no more results to retrieve.","ref":"GoogleApi.CloudSupport.V2.Model.SearchCaseClassificationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.SearchCaseClassificationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.SearchCaseClassificationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.SearchCaseClassificationsResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.SearchCaseClassificationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.SearchCasesResponse","doc":"The response message for the SearchCases endpoint.","ref":"GoogleApi.CloudSupport.V2.Model.SearchCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.SearchCasesResponse","doc":"*   `cases` (*type:* `list(GoogleApi.CloudSupport.V2.Model.Case.t)`, *default:* `nil`) - The list of cases associated with the parent after any filters have been applied.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Set this in the `page_token` field of subsequent `cases.search` requests. If unspecified, there are no more results to retrieve.","ref":"GoogleApi.CloudSupport.V2.Model.SearchCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.SearchCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.SearchCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.SearchCasesResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.SearchCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2.Model.WorkflowOperationMetadata","doc":"Metadata about the operation. Used to lookup the current status.","ref":"GoogleApi.CloudSupport.V2.Model.WorkflowOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2.Model.WorkflowOperationMetadata","doc":"*   `namespace` (*type:* `String.t`, *default:* `nil`) - The namespace that the job was scheduled in. Must be included in the workflow metadata so the workflow status can be retrieved.\n*   `operationAction` (*type:* `String.t`, *default:* `nil`) - The type of action the operation is classified as.\n*   `workflowOperationType` (*type:* `String.t`, *default:* `nil`) - Which version of the workflow service this operation came from.","ref":"GoogleApi.CloudSupport.V2.Model.WorkflowOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2.Model.WorkflowOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2.Model.WorkflowOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2.Model.WorkflowOperationMetadata.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2.Model.WorkflowOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta","doc":"API client metadata for GoogleApi.CloudSupport.V2beta.","ref":"GoogleApi.CloudSupport.V2beta.html"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.discovery_revision/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Api.CaseClassifications","doc":"API calls for all endpoints tagged `CaseClassifications`.","ref":"GoogleApi.CloudSupport.V2beta.Api.CaseClassifications.html"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.CaseClassifications.cloudsupport_case_classifications_search/3","doc":"Retrieve valid classifications to use when creating a support case. Classifications are hierarchical. Each classification is a string containing all levels of the hierarchy separated by `\" > \"`. For example, `\"Technical Issue > Compute > Compute Engine\"`. Classification IDs returned by this endpoint are valid for at least six months. When a classification is deactivated, this endpoint immediately stops returning it. After six months, `case.create` requests using the classification will fail. EXAMPLES: cURL: ```shell curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ 'https://cloudsupport.googleapis.com/v2/caseClassifications:search?query=display_name:\"*Compute%20Engine*\"' ``` Python: ```python import googleapiclient.discovery supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=\"v2\", discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version=v2\", ) request = supportApiService.caseClassifications().search( query='display_name:\"*Compute Engine*\"' ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.CaseClassifications.html#cloudsupport_case_classifications_search/3"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.CaseClassifications.cloudsupport_case_classifications_search/3","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of classifications fetched with each request.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying the page of results to return. If unspecified, the first page is retrieved.\n    *   `:\"product.productLine\"` (*type:* `String.t`) - The Product Line of the Product.\n    *   `:\"product.productSubline\"` (*type:* `String.t`) - The Product Subline of the Product, such as \"Maps Billing\".\n    *   `:query` (*type:* `String.t`) - An expression used to filter case classifications. If it's an empty string, then no filtering happens. Otherwise, case classifications will be returned that match the filter.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.CaseClassifications.html#cloudsupport_case_classifications_search/3-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.CaseClassifications.cloudsupport_case_classifications_search/3","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.SearchCaseClassificationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.CaseClassifications.html#cloudsupport_case_classifications_search/3-returns"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Api.Cases","doc":"API calls for all endpoints tagged `Cases`.","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_attachments_list/6","doc":"List all the attachments associated with a support case. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/23598314\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$case/attachments\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = ( supportApiService.cases() .attachments() .list(parent=\"projects/some-project/cases/43595344\") ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_attachments_list/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_attachments_list/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `v2beta_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the case for which attachments should be listed.\n*   `v2beta_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `cases_id` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of attachments fetched with each request. If not provided, the default is 10. The maximum page size that will be returned is 100.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying the page of results to return. If unspecified, the first page is retrieved.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_attachments_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_attachments_list/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.ListAttachmentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_attachments_list/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_close/6","doc":"Close a case. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/43595344\" curl \\ --request POST \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$case:close\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().close( name=\"projects/some-project/cases/43595344\" ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_close/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_close/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `v2beta_id` (*type:* `String.t`) - Part of `name`. Required. The name of the case to close.\n*   `v2beta_id1` (*type:* `String.t`) - Part of `name`. See documentation of `v2betaId`.\n*   `cases_id` (*type:* `String.t`) - Part of `name`. See documentation of `v2betaId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudSupport.V2beta.Model.CloseCaseRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_close/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_close/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.Case{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_close/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_comments_create/6","doc":"Add a new comment to a case. The comment must have the following fields set: `body`. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/43591344\" curl \\ --request POST \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --header 'Content-Type: application/json' \\ --data '{ \"body\": \"This is a test comment.\" }' \\ \"https://cloudsupport.googleapis.com/v2/$case/comments\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = ( supportApiService.cases() .comments() .create( parent=\"projects/some-project/cases/43595344\", body={\"body\": \"This is a test comment.\"}, ) ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_comments_create/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_comments_create/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `v2beta_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the case to which the comment should be added.\n*   `v2beta_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `cases_id` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudSupport.V2beta.Model.Comment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_comments_create/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_comments_create/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.Comment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_comments_create/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_comments_list/6","doc":"List all the comments associated with a case. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/43595344\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$case/comments\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = ( supportApiService.cases() .comments() .list(parent=\"projects/some-project/cases/43595344\") ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_comments_list/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_comments_list/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `v2beta_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the case for which to list comments.\n*   `v2beta_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `cases_id` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of comments to fetch. Defaults to 10.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying the page of results to return. If unspecified, the first page is returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_comments_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_comments_list/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.ListCommentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_comments_list/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_create/5","doc":"Create a new case and associate it with a parent. It must have the following fields set: `display_name`, `description`, `classification`, and `priority`. If you're just testing the API and don't want to route your case to an agent, set `testCase=true`. EXAMPLES: cURL: ```shell parent=\"projects/some-project\" curl \\ --request POST \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --header 'Content-Type: application/json' \\ --data '{ \"display_name\": \"Test case created by me.\", \"description\": \"a random test case, feel free to close\", \"classification\": { \"id\": \"100IK2AKCLHMGRJ9CDGMOCGP8DM6UTB4BT262T31BT1M2T31DHNMENPO6KS36CPJ786L2TBFEHGN6NPI64R3CDHN8880G08I1H3MURR7DHII0GRCDTQM8\" }, \"time_zone\": \"-07:00\", \"subscriber_email_addresses\": [ \"foo@domain.com\", \"bar@domain.com\" ], \"testCase\": true, \"priority\": \"P3\" }' \\ \"https://cloudsupport.googleapis.com/v2/$parent/cases\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().create( parent=\"projects/some-project\", body={ \"displayName\": \"A Test Case\", \"description\": \"This is a test case.\", \"testCase\": True, \"priority\": \"P2\", \"classification\": { \"id\": \"100IK2AKCLHMGRJ9CDGMOCGP8DM6UTB4BT262T31BT1M2T31DHNMENPO6KS36CPJ786L2TBFEHGN6NPI64R3CDHN8880G08I1H3MURR7DHII0GRCDTQM8\" }, }, ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_create/5"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_create/5","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `v2beta_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the parent under which the case should be created.\n*   `v2beta_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudSupport.V2beta.Model.Case.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_create/5-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_create/5","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.Case{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_create/5-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_escalate/6","doc":"Escalate a case, starting the Google Cloud Support escalation management process. This operation is only available for some support services. Go to https://cloud.google.com/support and look for 'Technical support escalations' in the feature list to find out which ones let you do that. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/43595344\" curl \\ --request POST \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --header \"Content-Type: application/json\" \\ --data '{ \"escalation\": { \"reason\": \"BUSINESS_IMPACT\", \"justification\": \"This is a test escalation.\" } }' \\ \"https://cloudsupport.googleapis.com/v2/$case:escalate\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().escalate( name=\"projects/some-project/cases/43595344\", body={ \"escalation\": { \"reason\": \"BUSINESS_IMPACT\", \"justification\": \"This is a test escalation.\", }, }, ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_escalate/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_escalate/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `v2beta_id` (*type:* `String.t`) - Part of `name`. Required. The name of the case to be escalated.\n*   `v2beta_id1` (*type:* `String.t`) - Part of `name`. See documentation of `v2betaId`.\n*   `cases_id` (*type:* `String.t`) - Part of `name`. See documentation of `v2betaId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudSupport.V2beta.Model.EscalateCaseRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_escalate/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_escalate/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.Case{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_escalate/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_get/6","doc":"Retrieve a case. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/16033687\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$case\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().get( name=\"projects/some-project/cases/43595344\", ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_get/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_get/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `v2beta_id` (*type:* `String.t`) - Part of `name`. Required. The full name of a case to be retrieved.\n*   `v2beta_id1` (*type:* `String.t`) - Part of `name`. See documentation of `v2betaId`.\n*   `cases_id` (*type:* `String.t`) - Part of `name`. See documentation of `v2betaId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_get/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.Case{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_get/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_list/5","doc":"Retrieve all cases under a parent, but not its children. For example, listing cases under an organization only returns the cases that are directly parented by that organization. To retrieve cases under an organization and its projects, use `cases.search`. EXAMPLES: cURL: ```shell parent=\"projects/some-project\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$parent/cases\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().list(parent=\"projects/some-project\") print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_list/5"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_list/5","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `v2beta_id` (*type:* `String.t`) - Part of `parent`. Required. The name of a parent to list cases under.\n*   `v2beta_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - An expression used to filter cases. If it's an empty string, then no filtering happens. Otherwise, the endpoint returns the cases that match the filter. Expressions use the following fields separated by `AND` and specified with `=`: - `state`: Can be `OPEN` or `CLOSED`. - `priority`: Can be `P0`, `P1`, `P2`, `P3`, or `P4`. You can specify multiple values for priority using the `OR` operator. For example, `priority=P1 OR priority=P2`. - `creator.email`: The email address of the case creator. EXAMPLES: - `state=CLOSED` - `state=OPEN AND creator.email=\"tester@example.com\"` - `state=OPEN AND (priority=P0 OR priority=P1)`\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of cases fetched with each request. Defaults to 10.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying the page of results to return. If unspecified, the first page is retrieved.\n    *   `:productLine` (*type:* `String.t`) - The product line for which to request cases for. If unspecified, only Google Cloud cases will be returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_list/5","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.ListCasesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_list/5-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_patch/6","doc":"Update a case. Only some fields can be updated. EXAMPLES: cURL: ```shell case=\"projects/some-project/cases/43595344\" curl \\ --request PATCH \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --header \"Content-Type: application/json\" \\ --data '{ \"priority\": \"P1\" }' \\ \"https://cloudsupport.googleapis.com/v2/$case?updateMask=priority\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().patch( name=\"projects/some-project/cases/43112854\", body={ \"displayName\": \"This is Now a New Title\", \"priority\": \"P2\", }, ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_patch/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_patch/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `v2beta_id` (*type:* `String.t`) - Part of `case.name`. The resource name for the case.\n*   `v2beta_id1` (*type:* `String.t`) - Part of `case.name`. See documentation of `v2betaId`.\n*   `cases_id` (*type:* `String.t`) - Part of `case.name`. See documentation of `v2betaId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - A list of attributes of the case that should be updated. Supported values are `priority`, `display_name`, and `subscriber_email_addresses`. If no fields are specified, all supported fields are updated. Be careful - if you do not provide a field mask, then you might accidentally clear some fields. For example, if you leave the field mask empty and do not provide a value for `subscriber_email_addresses`, then `subscriber_email_addresses` is updated to empty.\n    *   `:body` (*type:* `GoogleApi.CloudSupport.V2beta.Model.Case.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_patch/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.Case{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_patch/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_search/3","doc":"Search for cases using a query. EXAMPLES: cURL: ```shell parent=\"projects/some-project\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$parent/cases:search\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.cases().search( parent=\"projects/some-project\", query=\"state=OPEN\" ) print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_search/3"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_search/3","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of cases fetched with each request. The default page size is 10.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying the page of results to return. If unspecified, the first page is retrieved.\n    *   `:parent` (*type:* `String.t`) - The name of the parent resource to search for cases under.\n    *   `:query` (*type:* `String.t`) - An expression used to filter cases. Expressions use the following fields separated by `AND` and specified with `=`: - `organization`: An organization name in the form `organizations/`. - `project`: A project name in the form `projects/`. - `state`: Can be `OPEN` or `CLOSED`. - `priority`: Can be `P0`, `P1`, `P2`, `P3`, or `P4`. You can specify multiple values for priority using the `OR` operator. For example, `priority=P1 OR priority=P2`. - `creator.email`: The email address of the case creator. You must specify either `organization` or `project`. To search across `displayName`, `description`, and comments, use a global restriction with no keyword or operator. For example, `\"my search\"`. To search only cases updated after a certain date, use `update_time` restricted with that particular date, time, and timezone in ISO datetime format. For example, `update_time>\"2020-01-01T00:00:00-05:00\"`. `update_time` only supports the greater than operator (`>`). Examples: - `organization=\"organizations/123456789\"` - `project=\"projects/my-project-id\"` - `project=\"projects/123456789\"` - `organization=\"organizations/123456789\" AND state=CLOSED` - `project=\"projects/my-project-id\" AND creator.email=\"tester@example.com\"` - `project=\"projects/my-project-id\" AND (priority=P0 OR priority=P1)`\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_search/3-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Cases.cloudsupport_cases_search/3","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.SearchCasesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Cases.html#cloudsupport_cases_search/3-returns"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Api.Media","doc":"API calls for all endpoints tagged `Media`.","ref":"GoogleApi.CloudSupport.V2beta.Api.Media.html"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Media.cloudsupport_media_download/7","doc":"Download a file attached to a case. Note: HTTP requests must append \"?alt=media\" to the URL. EXAMPLES: cURL: ```shell name=\"projects/some-project/cases/43594844/attachments/0674M00000WijAnZAJ\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ \"https://cloudsupport.googleapis.com/v2/$name:download?alt=media\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) request = supportApiService.media().download( name=\"projects/some-project/cases/43595344/attachments/0684M00000Pw6pHQAR\" ) request.uri = request.uri.split(\"?\")[0] + \"?alt=media\" print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Media.html#cloudsupport_media_download/7"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Media.cloudsupport_media_download/7","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `v2beta_id` (*type:* `String.t`) - Part of `name`. The name of the file attachment to download.\n*   `v2beta_id1` (*type:* `String.t`) - Part of `name`. See documentation of `v2betaId`.\n*   `cases_id` (*type:* `String.t`) - Part of `name`. See documentation of `v2betaId`.\n*   `attachments_id` (*type:* `String.t`) - Part of `name`. See documentation of `v2betaId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Media.html#cloudsupport_media_download/7-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Media.cloudsupport_media_download/7","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.Media{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Media.html#cloudsupport_media_download/7-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Media.cloudsupport_media_upload/6","doc":"Create a file attachment on a case or Cloud resource. The attachment must have the following fields set: `filename`. EXAMPLES: cURL: ```shell echo \"This text is in a file I'm uploading using CSAPI.\" \\ > \"./example_file.txt\" case=\"projects/some-project/cases/43594844\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --data-binary @\"./example_file.txt\" \\ \"https://cloudsupport.googleapis.com/upload/v2beta/$case/attachments?attachment.filename=uploaded_via_curl.txt\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) file_path = \"./example_file.txt\" with open(file_path, \"w\") as file: file.write( \"This text is inside a file I'm going to upload using the Cloud Support API.\", ) request = supportApiService.media().upload( parent=\"projects/some-project/cases/43595344\", media_body=file_path ) request.uri = request.uri.split(\"?\")[0] + \"?attachment.filename=uploaded_via_python.txt\" print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Media.html#cloudsupport_media_upload/6"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Media.cloudsupport_media_upload/6","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `v2beta_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the case or Cloud resource to which the attachment should be attached.\n*   `v2beta_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `cases_id` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudSupport.V2beta.Model.CreateAttachmentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Media.html#cloudsupport_media_upload/6-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Media.cloudsupport_media_upload/6","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.Attachment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Media.html#cloudsupport_media_upload/6-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Media.cloudsupport_media_upload_iodata/9","doc":"Create a file attachment on a case or Cloud resource. The attachment must have the following fields set: `filename`. EXAMPLES: cURL: ```shell echo \"This text is in a file I'm uploading using CSAPI.\" \\ > \"./example_file.txt\" case=\"projects/some-project/cases/43594844\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --data-binary @\"./example_file.txt\" \\ \"https://cloudsupport.googleapis.com/upload/v2beta/$case/attachments?attachment.filename=uploaded_via_curl.txt\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) file_path = \"./example_file.txt\" with open(file_path, \"w\") as file: file.write( \"This text is inside a file I'm going to upload using the Cloud Support API.\", ) request = supportApiService.media().upload( parent=\"projects/some-project/cases/43595344\", media_body=file_path ) request.uri = request.uri.split(\"?\")[0] + \"?attachment.filename=uploaded_via_python.txt\" print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Media.html#cloudsupport_media_upload_iodata/9"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Media.cloudsupport_media_upload_iodata/9","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `v2beta_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the case or Cloud resource to which the attachment should be attached.\n*   `v2beta_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `cases_id` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `GoogleApi.CloudSupport.V2beta.Model.CreateAttachmentRequest.t`) - object metadata\n*   `data` (*type:* `iodata`) - Content to upload, as a string or iolist\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Media.html#cloudsupport_media_upload_iodata/9-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Media.cloudsupport_media_upload_iodata/9","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.Attachment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Media.html#cloudsupport_media_upload_iodata/9-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Api.Media.cloudsupport_media_upload_simple/9","doc":"Create a file attachment on a case or Cloud resource. The attachment must have the following fields set: `filename`. EXAMPLES: cURL: ```shell echo \"This text is in a file I'm uploading using CSAPI.\" \\ > \"./example_file.txt\" case=\"projects/some-project/cases/43594844\" curl \\ --header \"Authorization: Bearer $(gcloud auth print-access-token)\" \\ --data-binary @\"./example_file.txt\" \\ \"https://cloudsupport.googleapis.com/upload/v2beta/$case/attachments?attachment.filename=uploaded_via_curl.txt\" ``` Python: ```python import googleapiclient.discovery api_version = \"v2\" supportApiService = googleapiclient.discovery.build( serviceName=\"cloudsupport\", version=api_version, discoveryServiceUrl=f\"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}\", ) file_path = \"./example_file.txt\" with open(file_path, \"w\") as file: file.write( \"This text is inside a file I'm going to upload using the Cloud Support API.\", ) request = supportApiService.media().upload( parent=\"projects/some-project/cases/43595344\", media_body=file_path ) request.uri = request.uri.split(\"?\")[0] + \"?attachment.filename=uploaded_via_python.txt\" print(request.execute()) ```","ref":"GoogleApi.CloudSupport.V2beta.Api.Media.html#cloudsupport_media_upload_simple/9"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Api.Media.cloudsupport_media_upload_simple/9","doc":"*   `connection` (*type:* `GoogleApi.CloudSupport.V2beta.Connection.t`) - Connection to server\n*   `v2beta_id` (*type:* `String.t`) - Part of `parent`. Required. The name of the case or Cloud resource to which the attachment should be attached.\n*   `v2beta_id1` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `cases_id` (*type:* `String.t`) - Part of `parent`. See documentation of `v2betaId`.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `GoogleApi.CloudSupport.V2beta.Model.CreateAttachmentRequest.t`) - object metadata\n*   `data` (*type:* `String.t`) - Path to file containing content to upload\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudSupport.V2beta.Api.Media.html#cloudsupport_media_upload_simple/9-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Api.Media.cloudsupport_media_upload_simple/9","doc":"*   `{:ok, %GoogleApi.CloudSupport.V2beta.Model.Attachment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudSupport.V2beta.Api.Media.html#cloudsupport_media_upload_simple/9-returns"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Connection","doc":"Handle Tesla connections for GoogleApi.CloudSupport.V2beta.","ref":"GoogleApi.CloudSupport.V2beta.Connection.html"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#get/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#head/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.CloudSupport.V2beta.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudSupport.V2beta.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#options/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#post/4"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#put/4"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.CloudSupport.V2beta.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.CloudSupport.V2beta.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Connection.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.Actor","doc":"An Actor represents an entity that performed an action. For example, an actor could be a user who posted a comment on a support case, a user who uploaded an attachment, or a service account that created a support case.","ref":"GoogleApi.CloudSupport.V2beta.Model.Actor.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.Actor","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The name to display for the actor. If not provided, it is inferred from credentials supplied during case creation. When an email is provided, a display name must also be provided. This will be obfuscated if the user is a Google Support agent.\n*   `email` (*type:* `String.t`, *default:* `nil`) - The email address of the actor. If not provided, it is inferred from the credentials supplied during case creation. When a name is provided, an email must also be provided. If the user is a Google Support agent, this is obfuscated. This field is deprecated. Use **username** field instead.\n*   `googleSupport` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the actor is a Google support actor.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Output only. The username of the actor. It may look like an email or other format provided by the identity provider. If not provided, it is inferred from the credentials supplied. When a name is provided, a username must also be provided. If the user is a Google Support agent, this will not be set.","ref":"GoogleApi.CloudSupport.V2beta.Model.Actor.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.Actor.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.Actor.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.Actor.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.Actor.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.Attachment","doc":"An Attachment contains metadata about a file that was uploaded to a case - it is NOT a file itself. That being said, the name of an Attachment object can be used to download its accompanying file through the `media.download` endpoint. While attachments can be uploaded in the console at the same time as a comment, they're associated on a \"case\" level, not a \"comment\" level.","ref":"GoogleApi.CloudSupport.V2beta.Model.Attachment.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.Attachment","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the attachment was created.\n*   `creator` (*type:* `GoogleApi.CloudSupport.V2beta.Model.Actor.t`, *default:* `nil`) - Output only. The user who uploaded the attachment. Note, the name and email will be obfuscated if the attachment was uploaded by Google support.\n*   `filename` (*type:* `String.t`, *default:* `nil`) - The filename of the attachment (e.g. `\"graph.jpg\"`).\n*   `mimeType` (*type:* `String.t`, *default:* `nil`) - Output only. The MIME type of the attachment (e.g. text/plain).\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name of the attachment.\n*   `sizeBytes` (*type:* `String.t`, *default:* `nil`) - Output only. The size of the attachment in bytes.","ref":"GoogleApi.CloudSupport.V2beta.Model.Attachment.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.Attachment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.Attachment.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.Attachment.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.Attachment.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.Blobstore2Info","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.Blobstore2Info.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.Blobstore2Info","doc":"*   `blobGeneration` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `blobId` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `downloadReadHandle` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `readToken` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `uploadMetadataContainer` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.Blobstore2Info.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.Blobstore2Info.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.Blobstore2Info.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.Blobstore2Info.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.Blobstore2Info.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.Case","doc":"A Case is an object that contains the details of a support case. It contains fields for the time it was created, its priority, its classification, and more. Cases can also have comments and attachments that get added over time. A case is parented by a Google Cloud organization or project. Organizations are identified by a number, so the name of a case parented by an organization would look like this: ``` organizations/123/cases/456 ``` Projects have two unique identifiers, an ID and a number, and they look like this: ``` projects/abc/cases/456 ``` ``` projects/123/cases/456 ``` You can use either of them when calling the API. To learn more about project identifiers, see [AIP-2510](https://google.aip.dev/cloud/2510).","ref":"GoogleApi.CloudSupport.V2beta.Model.Case.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.Case","doc":"*   `classification` (*type:* `GoogleApi.CloudSupport.V2beta.Model.CaseClassification.t`, *default:* `nil`) - The issue classification applicable to this case.\n*   `contactEmail` (*type:* `String.t`, *default:* `nil`) - A user-supplied email address to send case update notifications for. This should only be used in BYOID flows, where we cannot infer the user's email address directly from their EUCs.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time this case was created.\n*   `creator` (*type:* `GoogleApi.CloudSupport.V2beta.Model.Actor.t`, *default:* `nil`) - The user who created the case. Note: The name and email will be obfuscated if the case was created by Google Support.\n*   `description` (*type:* `String.t`, *default:* `nil`) - A broad description of the issue.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The short summary of the issue reported in this case.\n*   `escalated` (*type:* `boolean()`, *default:* `nil`) - Whether the case is currently escalated.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The language the user has requested to receive support in. This should be a BCP 47 language code (e.g., `\"en\"`, `\"zh-CN\"`, `\"zh-TW\"`, `\"ja\"`, `\"ko\"`). If no language or an unsupported language is specified, this field defaults to English (en). Language selection during case creation may affect your available support options. For a list of supported languages and their support working hours, see: https://cloud.google.com/support/docs/language-working-hours\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name for the case.\n*   `priority` (*type:* `String.t`, *default:* `nil`) - The priority of this case.\n*   `severity` (*type:* `String.t`, *default:* `nil`) - REMOVED. The severity of this case. Use priority instead.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The current status of the support case.\n*   `subscriberEmailAddresses` (*type:* `list(String.t)`, *default:* `nil`) - The email addresses to receive updates on this case.\n*   `testCase` (*type:* `boolean()`, *default:* `nil`) - Whether this case was created for internal API testing and should not be acted on by the support team.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - The timezone of the user who created the support case. It should be in a format IANA recognizes: https://www.iana.org/time-zones. There is no additional validation done by the API.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time this case was last updated.","ref":"GoogleApi.CloudSupport.V2beta.Model.Case.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.Case.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.Case.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.Case.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.Case.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.CaseClassification","doc":"A Case Classification represents the topic that a case is about. It's very important to use accurate classifications, because they're used to route your cases to specialists who can help you. A classification always has an ID that is its unique identifier. A valid ID is required when creating a case.","ref":"GoogleApi.CloudSupport.V2beta.Model.CaseClassification.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.CaseClassification","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - A display name for the classification. The display name is not static and can change. To uniquely and consistently identify classifications, use the `CaseClassification.id` field.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The unique ID for a classification. Must be specified for case creation. To retrieve valid classification IDs for case creation, use `caseClassifications.search`. Classification IDs returned by `caseClassifications.search` are guaranteed to be valid for at least 6 months. If a given classification is deactiveated, it will immediately stop being returned. After 6 months, `case.create` requests using the classification ID will fail.\n*   `product` (*type:* `GoogleApi.CloudSupport.V2beta.Model.Product.t`, *default:* `nil`) - The full product the classification corresponds to.","ref":"GoogleApi.CloudSupport.V2beta.Model.CaseClassification.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.CaseClassification.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.CaseClassification.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.CaseClassification.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.CaseClassification.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.CloseCaseRequest","doc":"The request message for the CloseCase endpoint.","ref":"GoogleApi.CloudSupport.V2beta.Model.CloseCaseRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.CloseCaseRequest","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.CloseCaseRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.CloseCaseRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.CloseCaseRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.CloseCaseRequest.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.CloseCaseRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.Comment","doc":"Case comments are the main way Google Support communicates with a user who has opened a case. When a user responds to Google Support, the user's responses also appear as comments.","ref":"GoogleApi.CloudSupport.V2beta.Model.Comment.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.Comment","doc":"*   `body` (*type:* `String.t`, *default:* `nil`) - The full comment body. Maximum of 12800 characters. This can contain rich text syntax.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when this comment was created.\n*   `creator` (*type:* `GoogleApi.CloudSupport.V2beta.Model.Actor.t`, *default:* `nil`) - Output only. The user or Google Support agent created this comment.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name for the comment.\n*   `plainTextBody` (*type:* `String.t`, *default:* `nil`) - Output only. DEPRECATED. An automatically generated plain text version of body with all rich text syntax stripped.","ref":"GoogleApi.CloudSupport.V2beta.Model.Comment.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.Comment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.Comment.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.Comment.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.Comment.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.CompositeMedia","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.CompositeMedia.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.CompositeMedia","doc":"*   `blobRef` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `blobstore2Info` (*type:* `GoogleApi.CloudSupport.V2beta.Model.Blobstore2Info.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `cosmoBinaryReference` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `crc32cHash` (*type:* `integer()`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `inline` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `length` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `md5Hash` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectId` (*type:* `GoogleApi.CloudSupport.V2beta.Model.ObjectId.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `path` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `referenceType` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `sha1Hash` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.CompositeMedia.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.CompositeMedia.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.CompositeMedia.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.CompositeMedia.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.CompositeMedia.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.ContentTypeInfo","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.ContentTypeInfo.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.ContentTypeInfo","doc":"*   `bestGuess` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `fromBytes` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `fromFileName` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `fromHeader` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `fromUrlPath` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.ContentTypeInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.ContentTypeInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.ContentTypeInfo.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.ContentTypeInfo.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.ContentTypeInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.CreateAttachmentRequest","doc":"The request message for the CreateAttachment endpoint.","ref":"GoogleApi.CloudSupport.V2beta.Model.CreateAttachmentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.CreateAttachmentRequest","doc":"*   `attachment` (*type:* `GoogleApi.CloudSupport.V2beta.Model.Attachment.t`, *default:* `nil`) - Required. The attachment to be created.","ref":"GoogleApi.CloudSupport.V2beta.Model.CreateAttachmentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.CreateAttachmentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.CreateAttachmentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.CreateAttachmentRequest.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.CreateAttachmentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.DiffChecksumsResponse","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffChecksumsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.DiffChecksumsResponse","doc":"*   `checksumsLocation` (*type:* `GoogleApi.CloudSupport.V2beta.Model.CompositeMedia.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `chunkSizeBytes` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectLocation` (*type:* `GoogleApi.CloudSupport.V2beta.Model.CompositeMedia.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectSizeBytes` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectVersion` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffChecksumsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.DiffChecksumsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffChecksumsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.DiffChecksumsResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffChecksumsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.DiffDownloadResponse","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffDownloadResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.DiffDownloadResponse","doc":"*   `objectLocation` (*type:* `GoogleApi.CloudSupport.V2beta.Model.CompositeMedia.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffDownloadResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.DiffDownloadResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffDownloadResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.DiffDownloadResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffDownloadResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadRequest","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.DiffUploadRequest","doc":"*   `checksumsInfo` (*type:* `GoogleApi.CloudSupport.V2beta.Model.CompositeMedia.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectInfo` (*type:* `GoogleApi.CloudSupport.V2beta.Model.CompositeMedia.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectVersion` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadRequest.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadResponse","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.DiffUploadResponse","doc":"*   `objectVersion` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `originalObject` (*type:* `GoogleApi.CloudSupport.V2beta.Model.CompositeMedia.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffUploadResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.DiffVersionResponse","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffVersionResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.DiffVersionResponse","doc":"*   `objectSizeBytes` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectVersion` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffVersionResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.DiffVersionResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffVersionResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.DiffVersionResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.DiffVersionResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.DownloadParameters","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.DownloadParameters.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.DownloadParameters","doc":"*   `allowGzipCompression` (*type:* `boolean()`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `ignoreRange` (*type:* `boolean()`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.DownloadParameters.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.DownloadParameters.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.DownloadParameters.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.DownloadParameters.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.DownloadParameters.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.EscalateCaseRequest","doc":"The request message for the EscalateCase endpoint.","ref":"GoogleApi.CloudSupport.V2beta.Model.EscalateCaseRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.EscalateCaseRequest","doc":"*   `escalation` (*type:* `GoogleApi.CloudSupport.V2beta.Model.Escalation.t`, *default:* `nil`) - The escalation information to be sent with the escalation request.","ref":"GoogleApi.CloudSupport.V2beta.Model.EscalateCaseRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.EscalateCaseRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.EscalateCaseRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.EscalateCaseRequest.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.EscalateCaseRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.Escalation","doc":"An escalation of a support case.","ref":"GoogleApi.CloudSupport.V2beta.Model.Escalation.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.Escalation","doc":"*   `justification` (*type:* `String.t`, *default:* `nil`) - Required. A free text description to accompany the `reason` field above. Provides additional context on why the case is being escalated.\n*   `reason` (*type:* `String.t`, *default:* `nil`) - Required. The reason why the Case is being escalated.","ref":"GoogleApi.CloudSupport.V2beta.Model.Escalation.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.Escalation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.Escalation.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.Escalation.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.Escalation.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.ListAttachmentsResponse","doc":"The response message for the ListAttachments endpoint.","ref":"GoogleApi.CloudSupport.V2beta.Model.ListAttachmentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.ListAttachmentsResponse","doc":"*   `attachments` (*type:* `list(GoogleApi.CloudSupport.V2beta.Model.Attachment.t)`, *default:* `nil`) - The list of attachments associated with a case.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Set this in the `page_token` field of subsequent `cases.attachments.list` requests. If unspecified, there are no more results to retrieve.","ref":"GoogleApi.CloudSupport.V2beta.Model.ListAttachmentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.ListAttachmentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.ListAttachmentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.ListAttachmentsResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.ListAttachmentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.ListCasesResponse","doc":"The response message for the ListCases endpoint.","ref":"GoogleApi.CloudSupport.V2beta.Model.ListCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.ListCasesResponse","doc":"*   `cases` (*type:* `list(GoogleApi.CloudSupport.V2beta.Model.Case.t)`, *default:* `nil`) - The list of cases associated with the parent after any filters have been applied.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Set this in the `page_token` field of subsequent `cases.list` requests. If unspecified, there are no more results to retrieve.","ref":"GoogleApi.CloudSupport.V2beta.Model.ListCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.ListCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.ListCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.ListCasesResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.ListCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.ListCommentsResponse","doc":"The response message for the ListComments endpoint.","ref":"GoogleApi.CloudSupport.V2beta.Model.ListCommentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.ListCommentsResponse","doc":"*   `comments` (*type:* `list(GoogleApi.CloudSupport.V2beta.Model.Comment.t)`, *default:* `nil`) - List of the comments associated with the case.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Set this in the `page_token` field of subsequent `cases.comments.list` requests. If unspecified, there are no more results to retrieve.","ref":"GoogleApi.CloudSupport.V2beta.Model.ListCommentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.ListCommentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.ListCommentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.ListCommentsResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.ListCommentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.Media","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.Media.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.Media","doc":"*   `algorithm` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `bigstoreObjectRef` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `blobRef` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `blobstore2Info` (*type:* `GoogleApi.CloudSupport.V2beta.Model.Blobstore2Info.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `compositeMedia` (*type:* `list(GoogleApi.CloudSupport.V2beta.Model.CompositeMedia.t)`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `contentType` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `contentTypeInfo` (*type:* `GoogleApi.CloudSupport.V2beta.Model.ContentTypeInfo.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `cosmoBinaryReference` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `crc32cHash` (*type:* `integer()`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `diffChecksumsResponse` (*type:* `GoogleApi.CloudSupport.V2beta.Model.DiffChecksumsResponse.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `diffDownloadResponse` (*type:* `GoogleApi.CloudSupport.V2beta.Model.DiffDownloadResponse.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `diffUploadRequest` (*type:* `GoogleApi.CloudSupport.V2beta.Model.DiffUploadRequest.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `diffUploadResponse` (*type:* `GoogleApi.CloudSupport.V2beta.Model.DiffUploadResponse.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `diffVersionResponse` (*type:* `GoogleApi.CloudSupport.V2beta.Model.DiffVersionResponse.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `downloadParameters` (*type:* `GoogleApi.CloudSupport.V2beta.Model.DownloadParameters.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `filename` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `hash` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `hashVerified` (*type:* `boolean()`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `inline` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `isPotentialRetry` (*type:* `boolean()`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `length` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `md5Hash` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `mediaId` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectId` (*type:* `GoogleApi.CloudSupport.V2beta.Model.ObjectId.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `path` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `referenceType` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `sha1Hash` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `sha256Hash` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `timestamp` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `token` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.Media.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.Media.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.Media.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.Media.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.Media.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.ObjectId","doc":"# gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.ObjectId.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.ObjectId","doc":"*   `bucketName` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `generation` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation\n*   `objectName` (*type:* `String.t`, *default:* `nil`) - # gdata.* are outside protos with mising documentation","ref":"GoogleApi.CloudSupport.V2beta.Model.ObjectId.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.ObjectId.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.ObjectId.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.ObjectId.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.ObjectId.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.Product","doc":"The full product a case may be associated with, including Product Line and Product Subline.","ref":"GoogleApi.CloudSupport.V2beta.Model.Product.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.Product","doc":"*   `productLine` (*type:* `String.t`, *default:* `nil`) - The Product Line of the Product.\n*   `productSubline` (*type:* `String.t`, *default:* `nil`) - The Product Subline of the Product, such as \"Maps Billing\".","ref":"GoogleApi.CloudSupport.V2beta.Model.Product.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.Product.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.Product.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.Product.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.Product.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.SearchCaseClassificationsResponse","doc":"The response message for SearchCaseClassifications endpoint.","ref":"GoogleApi.CloudSupport.V2beta.Model.SearchCaseClassificationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.SearchCaseClassificationsResponse","doc":"*   `caseClassifications` (*type:* `list(GoogleApi.CloudSupport.V2beta.Model.CaseClassification.t)`, *default:* `nil`) - The classifications retrieved.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Set this in the `page_token` field of subsequent `caseClassifications.list` requests. If unspecified, there are no more results to retrieve.","ref":"GoogleApi.CloudSupport.V2beta.Model.SearchCaseClassificationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.SearchCaseClassificationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.SearchCaseClassificationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.SearchCaseClassificationsResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.SearchCaseClassificationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.SearchCasesResponse","doc":"The response message for the SearchCases endpoint.","ref":"GoogleApi.CloudSupport.V2beta.Model.SearchCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.SearchCasesResponse","doc":"*   `cases` (*type:* `list(GoogleApi.CloudSupport.V2beta.Model.Case.t)`, *default:* `nil`) - The list of cases associated with the parent after any filters have been applied.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Set this in the `page_token` field of subsequent `cases.search` requests. If unspecified, there are no more results to retrieve.","ref":"GoogleApi.CloudSupport.V2beta.Model.SearchCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.SearchCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.SearchCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.SearchCasesResponse.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.SearchCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudSupport.V2beta.Model.WorkflowOperationMetadata","doc":"Metadata about the operation. Used to lookup the current status.","ref":"GoogleApi.CloudSupport.V2beta.Model.WorkflowOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.CloudSupport.V2beta.Model.WorkflowOperationMetadata","doc":"*   `namespace` (*type:* `String.t`, *default:* `nil`) - The namespace that the job was scheduled in. Must be included in the workflow metadata so the workflow status can be retrieved.\n*   `operationAction` (*type:* `String.t`, *default:* `nil`) - The type of action the operation is classified as.\n*   `workflowOperationType` (*type:* `String.t`, *default:* `nil`) - Which version of the workflow service this operation came from.","ref":"GoogleApi.CloudSupport.V2beta.Model.WorkflowOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudSupport.V2beta.Model.WorkflowOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudSupport.V2beta.Model.WorkflowOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.CloudSupport.V2beta.Model.WorkflowOperationMetadata.t/0","doc":"","ref":"GoogleApi.CloudSupport.V2beta.Model.WorkflowOperationMetadata.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}